import { DeesElement, type TemplateResult } from '@design.estate/dees-element';
declare global {
    interface HTMLElementTagNameMap {
        'sz-registry-advertisement': SzRegistryAdvertisement;
    }
}
export declare class SzRegistryAdvertisement extends DeesElement {
    static demo: () => TemplateResult<1>;
    static demoGroups: string[];
    accessor status: 'running' | 'stopped';
    accessor registryUrl: string;
    static styles: import("@design.estate/dees-element").CSSResult[];
    render(): TemplateResult;
    private handleManageTokens;
}
